HP PhotoSmart 5514 Drivers for iMac G4?

Discussion in 'PowerPC Macs' started by kumquat, Mar 29, 2016.

  1. kumquat macrumors regular

    kumquat

    Joined:
    Sep 4, 2011
    #1
    Hi,

    I'm trying to get an HP PhotoSmart 5514 communicating with a G4 iMac running 10.4.11.

    Following a suggestion on another site, I tried the drivers for the Photosmart c7200 and no go.

    I saw a comment on this site stating that as of two years ago HP was still advertising the 5514 as being 10.4 compatible and had drivers for it on their site. That is no longer the case and I have not been able to find those drivers.

    I've seen other comments indicating that the HP DeskJet Series CUPS v1.1 driver might work, though I cannot find that either anywhere.

    Other comments suggest the ppc gimp-print drivers might work, but I've not been able to find confirmation of this.

    So, I'm just hoping someone here could tell me definitively which, if any, of the aforementioned drivers would work, if there's another option I'm not aware of, if the 10.5 drivers don't work because of something as simple as the target OS just needing to be changed and/or if this is a total lost cause.

    I'd appreciate any insight.

    Thanks
     
  2. MagicBoy macrumors 68040

    MagicBoy

    Joined:
    May 28, 2006
    Location:
    Manchester, UK
  3. kumquat thread starter macrumors regular

    kumquat

    Joined:
    Sep 4, 2011
    #3
    1) I don't want to gimp it; from what I can tell that's an unsupported update and, while possible, likely to cause performance issues.

    2) The client would need to purchase 10.5 discs from....? I may play fast and loose with extralegal software on my own machines, but wouldn't want to risk creating additional problems on systems that I'm tasked with keeping running smoothly. This machine is used almost entirely only for word processing...hence, the need to be able to print.
     
  4. MagicBoy, Mar 29, 2016
    Last edited: Mar 30, 2016

    MagicBoy macrumors 68040

    MagicBoy

    Joined:
    May 28, 2006
    Location:
    Manchester, UK
    #4
    1) Apart from the 700/800MHz, it's officially supported on all. That only falls short on an arbitrary 67MHz. Should run fine, does on my TiBook 667MHz with 1GB RAM.

    2) eBay? Classified ad here? I bought my copy at an Apple store on launch day for my then MacBook Pro, so not an issue I've run into.
     
  5. kumquat thread starter macrumors regular

    kumquat

    Joined:
    Sep 4, 2011
    #5

    It's the PowerMac 4,2. I don't recall off the top of my head which specific model, but I do not believe it is officially sanctioned to run 10.5.

    It is not impossible, but it's far from the simplest solution; it is a hassle and, to my mind, not worth the money or time to buy it and wait for it and pay me to install it with LeopardAssist or whatever and suffer the performance degradation, when the client just to uses that iMac for text editing.

    So, my interest is in finding a compatible -- or even partially compatible driver, since the scanning, wifi, etc. functionality is not needed for the G4.
     
  6. fatah18 macrumors newbie

    fatah18

    Joined:
    Aug 18, 2018
    #6
    You can download the driver for HP PhotoSmart 5514 Drivers for iMac G4 Here:
    Link: https://hp-driver.co/hp-photosmart-5514-driver-downloads/
     
  7. Daniël Oosterhuis macrumors 6502a

    Joined:
    Jan 10, 2016
    #7
  8. harryjames macrumors newbie

    harryjames

    Joined:
    Sep 5, 2018
    Location:
    india
    #8

Share This Page